
<div class="modal-header">
  <h4 class="modal-title">{{ tTituloModal }}</h4>
  <button class="close" type="button" aria-label="Close" (click)="activeModal.dismiss('N')"><span aria-hidden="true">&times;</span></button>
</div>
<div class="modal-body">
  <div class="container-fluid">
    <div class="form-row" *ngIf="!tArchivoCargado">
      <div class="form-group col-12 custom-file">
        <input class="custom-file-input" #flArchivo="" type="file" accept=".xlsx, .xls" (change)="CargarExcel($event)" id="flArchivo"/>
        <label class="custom-file-label" for="flArchivo"></label>
      </div>
    </div>
    <div class="form-row" *ngIf="tArchivoCargado">
      <div class="form-group col-12">
        <div class="form-row">
          <div class="form-group col-4">
            <select class="form-control" [(ngModel)]="tFiltroActual">
              <option *ngFor="let tFiltro of tFiltros" [ngValue]="tFiltro">{{tFiltro.Filtro}}</option>
            </select>
          </div>
          <div class="form-group col-7">
            <input class="form-control" type="text" placeholder="Ingrese busqueda" [(ngModel)]="tFiltroBusqueda"/>
          </div>
          <div class="form-group col-1">
            <button class="btn btn-primary" type="submit"><i class="fas fa-search"></i></button>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12">
            <div class="table-responsive" style="overflow:scroll">
              <table class="table table-sm table-striped table-hover">
                <thead>
                  <tr>
                    <th>
                      <h6 class="font-weight-bold">Sku</h6>
                    </th>
                    <th>
                      <h6 class="font-weight-bold">Cod. Alterno</h6>
                    </th>
                    <th>
                      <h6 class="font-weight-bold">Descripción</h6>
                    </th>
                    <th>
                      <h6 class="font-weight-bold">Descripción2</h6>
                    </th>
                  </tr>
                </thead>
                <tbody *ngFor="let tArticulo of tArticulosCargados | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag; let jv = index">
                  <td>
                    <h6>{{ tArticulo.Sku }}</h6>
                  </td>
                  <td>
                    <h6>{{ tArticulo.Codalterno }}</h6>
                  </td>
                  <td>
                    <h6 class="text-nowrap">{{ tArticulo.Descripcion }}</h6>
                  </td>
                  <td>
                    <h6 class="text-nowrap">{{ tArticulo.Descripcion2 }}</h6>
                  </td>
                </tbody>
              </table>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12">
            <ngb-pagination class="d-flex justify-content-center" [collectionSize]="tArticulosCargados.length" [(page)]="tPagina" aria-label="Default pagination" [pageSize]="tTamanoPag"></ngb-pagination>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="modal-footer">
  <button class="btn btn-light mr-2" type="button" [disabled]="!tArchivoCargado" (click)="Cancelar()">Cancelar </button>
  <button class="btn btn-primary ml-2 mr-2" type="button" [disabled]="!tArchivoCargado" (click)="Cargar()">Cargar </button>
  <button class="btn btn-secondary ml-2" type="button" (click)="activeModal.close('N')">Cerrar </button>
</div>